Page MenuHomePhabricator

TemplateData: Localise names of types in the HTML rendering (string, wiki-page-name, ...)
Closed, ResolvedPublic8 Estimated Story Points

Description

NicoV requested at T52370 that the rendering of types (string, wiki-page-name, string/wiki-user-name, ...) also be translatable.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:24 AM
bzimport added a project: TemplateData.
bzimport set Reference to bz59745.

Change 134928 had a related patch set uploaded by Mooeypoo:
Refactor TemplateData Editor

https://gerrit.wikimedia.org/r/134928

Change 134928 merged by jenkins-bot:
Refactor TemplateData Editor

https://gerrit.wikimedia.org/r/134928

Ltrlg added a comment.Aug 31 2014, 8:53 AM

I don’t think the original report was about the Editor. For me “HTML rendering” refers to the table displayed by TD where <templatedata> is. These are still not localised.

As Ltrlg, my initial report was about the rendering of the <templatedata> tag inside the template page, not at all about the editor (which didn't exist at the time of the report)

Jdforrester-WMF moved this task from Backlog to Next-up on the TemplateData board.Dec 2 2014, 9:16 PM
Krinkle updated the task description. (Show Details)May 8 2015, 4:01 AM
Krinkle added a project: good first task.
Krinkle set Security to None.
Krinkle removed a subscriber: Krinkle.
Krinkle added a subscriber: Krinkle.May 8 2015, 4:04 AM

I don’t think the original report was about the Editor.

Yeah, though we can easily re-use those messages. No need for a separate map. Let's rename the keys the templatedata-modal-table-param-type-* messages to templatedata-doc-param-type-* and use them in both places.

We already do this for "Status". (E.g. templatedata-doc-param-status-required localises required.)

Jdforrester-WMF moved this task from Next-up to Backlog on the TemplateData board.Sep 17 2015, 6:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 6:38 PM
Krenair claimed this task.Jan 13 2016, 7:50 PM
Krenair added a subscriber: Krenair.

I started doing this but noticed a problem: The editor UI uses undefined for unknown.

Krenair moved this task from Backlog to Doing on the TemplateData board.Jan 13 2016, 7:50 PM

Change 263918 had a related patch set uploaded (by Alex Monk):
[WIP] Localise names of types in HTML rendering

https://gerrit.wikimedia.org/r/263918

AlexMonk-WMF added a subscriber: AlexMonk-WMF.

"Jdforrester-WMF edited a custom field." is very useful, phabricator :(
Was that the security field or the points field?

Change 263918 merged by jenkins-bot:
Localise names of types in HTML rendering

https://gerrit.wikimedia.org/r/263918

Jdforrester-WMF closed this task as Resolved.Apr 7 2016, 7:59 PM
Jdforrester-WMF changed the point value for this task from 1 to 8.